## org.jboss.proxy
Interface Proxies.ProxyInvocationHandler

All Superinterfaces:
  InvocationHandler, java.io.Serializable

Enclosing class:
  Proxies

public static interface Proxies.ProxyInvocationHandler
extends InvocationHandler, java.io.Serializable

A common interface shared by all objects created by `Proxies.newInvocationHandler`.

Method Summary
`java.lang.Object` `getTarget()` Recover the original target object around which this InvocationHandler proxy is wrapped.

Methods inherited from interface org.jboss.proxy.InvocationHandler
`invoke`

Method Detail

### getTarget

    public java.lang.Object getTarget()

  Recover the original target object around which this InvocationHandler proxy is wrapped.

Copyright © 2000 The JBoss Organization. All Rights Reserved.